Skip to content
vocapable.Docs

Set (or, with both values null, remove) one interval's override

PUT
/v1/workspace/contact-center/wfm/forecast/overrides
curl --request PUT \
--url https://api.vocapable.com/v1/workspace/contact-center/wfm/forecast/overrides \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "queue_key": "example", "channel": "voice", "interval_start": "2026-04-15T12:00:00Z", "volume": 1, "aht_seconds": 1, "note": "example" }'
Media typeapplication/json
CcWfmOverrideSet

Replace one interval’s forecast volume and/or AHT; both null removes the override.

object
queue_key
required
Queue Key
string
>= 1 characters <= 96 characters /^[A-Za-z0-9_:-]+$/
channel
Channel
string
default: voice
Allowed values: voice sms
interval_start
required
Interval Start
string format: date-time
volume
Any of:
number
<= 100000
aht_seconds
Any of:
number
> 0 <= 36000
note
Any of:
string
<= 280 characters

Successful Response

Media typeapplication/json
CcWfmOverride
object
id
required
Id
string
queue_key
required
Queue Key
string
channel
required
Channel
string
interval_start
required
Interval Start
string format: date-time
volume
required
Any of:
number
aht_seconds
required
Any of:
number
note
required
Any of:
string
updated_at
required
Updated At
string format: date-time
Examplegenerated
{
"id": "example",
"queue_key": "example",
"channel": "example",
"interval_start": "2026-04-15T12:00:00Z",
"volume": 1,
"aht_seconds": 1,
"note": "example",
"updated_at": "2026-04-15T12:00:00Z"
}

Removed

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}